// buttonとimgタグの取得
const TestBtn = document.getElementById('test-btn');
const Reset = document.getElementById('reset');
const Imgs = document.querySelectorAll('img');

Reset.addEventListener('click',()=>{
	for (let i=0; i < Imgs.length; i++){
		Imgs[i].src = '';
	}
	localStorage.clear()
})


// localStorageからデータを取得し変数に代入
const localdata = localStorage.getItem('stamps');
// jsonデータを読み込み変数に代入
const s = (JSON.parse(localdata));
// もしlocalstoregeが存在すればイメージタグに画像を貼る
if (localdata){
	let c =0;
	Imgs.forEach( Img =>{
		Img.src = s.stamps[c];
		c++;
	});
}

// 保存
const SaveData = () => {
	// 新しい配列を作成
	let StampImgs = [];
	// 6個のimgのsrcを取得し作成した配列に入れる
	Imgs.forEach(img => {
		StampImgs.push(img.getAttribute('src'));
	});
	// オブジェクト形式に変換し変数に代入
	let ObjData = {stamps:StampImgs};
	// オブジェクトをjson形式に変換しlocalstoreageに保存
	localStorage.setItem('stamps',JSON.stringify(ObjData));
}

// スタンプ獲得
const GetStamp = () => {
	TestBtn.addEventListener('click',() =>{
		for (let i=0; i < Imgs.length; i++){
		Imgs[i].src = 'img/text_get.png';
		}
		SaveData();
	});
}

GetStamp()

// if文で与える引数を変え、どの場所のスタンプがおされたか判断する
// getStampを６個のスタンプごとに行う

